import { NoOpLogManager } from '../NoOpLogManager/index.js';
var NOOP_LOG_MANAGER = new NoOpLogManager();
var ProxyLogManager = /** @class */ (function () {
    function ProxyLogManager() {
    }
    ProxyLogManager.prototype.getDelegate = function () {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_LOG_MANAGER;
    };
    ProxyLogManager.prototype.setDelegate = function (delegate) {
        this._delegate = delegate;
    };
    ProxyLogManager.prototype.logException = function (error, handled, attributes, timestamp) {
        this.getDelegate().logException(error, handled, attributes, timestamp);
    };
    ProxyLogManager.prototype.message = function (message, level, attributes, includeStacktrace) {
        this.getDelegate().message(message, level, attributes, includeStacktrace);
    };
    return ProxyLogManager;
}());
export { ProxyLogManager };
//# sourceMappingURL=ProxyLogManager.js.map