var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmbraceInstrumentationBase } from '../../EmbraceInstrumentationBase/index.js';
var SpanSessionVisibilityInstrumentation = /** @class */ (function (_super) {
    __extends(SpanSessionVisibilityInstrumentation, _super);
    function SpanSessionVisibilityInstrumentation(_a) {
        var _b = _a === void 0 ? {} : _a, diag = _b.diag;
        var _this = _super.call(this, {
            instrumentationName: 'SpanSessionOnLoadInstrumentation',
            instrumentationVersion: '1.0.0',
            config: {},
            diag: diag,
        }) || this;
        _this._onVisibilityChange = function () {
            if (document.visibilityState === 'hidden') {
                _this._diag.debug('Visibility change detected: hidden');
                _this.sessionManager.endSessionSpanInternal('bkgnd_state');
            }
            else {
                _this._diag.debug('Visibility change detected: visible');
                _this.sessionManager.startSessionSpan();
            }
        };
        if (_this._config.enabled) {
            _this.enable();
        }
        return _this;
    }
    SpanSessionVisibilityInstrumentation.prototype.disable = function () {
        window.removeEventListener('visibilitychange', this._onVisibilityChange);
    };
    SpanSessionVisibilityInstrumentation.prototype.enable = function () {
        window.addEventListener('visibilitychange', this._onVisibilityChange);
    };
    return SpanSessionVisibilityInstrumentation;
}(EmbraceInstrumentationBase));
export { SpanSessionVisibilityInstrumentation };
//# sourceMappingURL=SpanSessionVisibilityInstrumentation.js.map