import { trace } from '@opentelemetry/api';
import { EMB_TYPES, KEY_EMB_TYPE } from '../../constants/index.js';
var EmbraceTraceManager = /** @class */ (function () {
    function EmbraceTraceManager() {
    }
    EmbraceTraceManager.prototype.startPerformanceSpan = function (name, options) {
        if (options === void 0) { options = {}; }
        var tracer = trace.getTracer('embrace-web-sdk-traces');
        options.attributes = options.attributes ? options.attributes : {};
        options.attributes[KEY_EMB_TYPE] = EMB_TYPES.Perf;
        return tracer.startSpan(name, options);
    };
    return EmbraceTraceManager;
}());
export { EmbraceTraceManager };
//# sourceMappingURL=EmbraceTraceManager.js.map