var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { OTelPerformanceManager } from '../../utils/index.js';
var MockPerformanceManager = /** @class */ (function (_super) {
    __extends(MockPerformanceManager, _super);
    function MockPerformanceManager(clock) {
        return _super.call(this, {
            now: function () { return clock.now; },
            // For real performance timing `timeOrigin` is the timestamp when the document's lifetime started: https://developer.mozilla.org/en-US/docs/Web/API/Performance/timeOrigin#value
            // When mocking set it to whatever value our fake clock had at the time that this MockPerformanceManager was instantiated
            timeOrigin: clock.now,
        }) || this;
    }
    return MockPerformanceManager;
}(OTelPerformanceManager));
export { MockPerformanceManager };
//# sourceMappingURL=MockPerformanceManager.js.map