import type { PerformanceClock, PerformanceManager } from './types.js';
export declare class OTelPerformanceManager implements PerformanceManager {
    private readonly _clock;
    constructor(clock?: PerformanceClock);
    epochMillisFromOriginOffset: (originOffset: number) => number;
    getNowHRTime: () => import("@opentelemetry/api").HrTime;
    getNowMillis: () => number;
}
//# sourceMappingURL=OTelPerformanceManager.d.ts.map