import type { Span, SpanOptions } from '@opentelemetry/api';
import { type TraceManager } from '../../manager/index.js';
export declare class TraceAPI implements TraceManager {
    private static _instance?;
    private readonly _proxyTraceManager;
    private constructor();
    static getInstance(): TraceAPI;
    getTraceManager: () => TraceManager;
    setGlobalTraceManager(traceManager: TraceManager): void;
    startPerformanceSpan(name: string, options?: SpanOptions): Span | null;
}
//# sourceMappingURL=TraceAPI.d.ts.map