import { NoOpUserManager } from '../NoOpUserManager/index.js';
const NOOP_USER_MANAGER = new NoOpUserManager();
export class ProxyUserManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_USER_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    clearUser() {
        this.getDelegate().clearUser();
    }
    getUser() {
        return this.getDelegate().getUser();
    }
    setUser(user) {
        this.getDelegate().setUser(user);
    }
}
//# sourceMappingURL=ProxyUserManager.js.map