import { DEFAULT_EMBRACE_EXPORTER_CONFIG, getEmbraceHeaders, } from '../index.js';
import { OTLPFetchLogExporter } from './OTLPFetchLogExporter.js';
import { getLogEndpoint } from './utils.js';
export class EmbraceLogExporter extends OTLPFetchLogExporter {
    constructor({ appID, userID }) {
        super(Object.assign(Object.assign({}, DEFAULT_EMBRACE_EXPORTER_CONFIG), { headers: getEmbraceHeaders(appID, userID), url: getLogEndpoint(appID) }));
    }
}
//# sourceMappingURL=EmbraceLogExporter.js.map