import { JsonLogsSerializer } from '@opentelemetry/otlp-transformer';
import { BaseFetchExporter } from '../BaseFetchExporter/index.js';
import { createOtlpBrowserFetchExportDelegate } from '../index.js';
export class OTLPFetchLogExporter extends BaseFetchExporter {
    constructor(config) {
        super(createOtlpBrowserFetchExportDelegate(config, JsonLogsSerializer));
    }
}
//# sourceMappingURL=OTLPFetchLogExporter.js.map