import { JsonTraceSerializer } from '@opentelemetry/otlp-transformer';
import { BaseFetchExporter } from '../BaseFetchExporter/index.js';
import { createOtlpBrowserFetchExportDelegate } from '../index.js';
export class OTLPFetchTraceExporter extends BaseFetchExporter {
    constructor(config) {
        super(createOtlpBrowserFetchExportDelegate(Object.assign(Object.assign({}, config), { compression: 'gzip' }), JsonTraceSerializer));
    }
}
//# sourceMappingURL=OTLPFetchTraceExporter.js.map