import { EmbraceInstrumentationBase } from '../../EmbraceInstrumentationBase/index.js';
export class SpanSessionOnLoadInstrumentation extends EmbraceInstrumentationBase {
    constructor({ diag } = {}) {
        super({
            instrumentationName: 'SpanSessionOnLoadInstrumentation',
            instrumentationVersion: '1.0.0',
            diag,
            config: {},
        });
        if (this._config.enabled) {
            this.enable();
        }
    }
    disable() {
        this.sessionManager.endSessionSpanInternal('unknown');
    }
    enable() {
        this.sessionManager.startSessionSpan();
    }
}
//# sourceMappingURL=SpanSessionOnLoadInstrumentation.js.map