// TODO this helper could be contributed back to the OpenTelemetry community
export class InMemoryDiagLogger {
    constructor() {
        this._errorLogs = [];
        this._warnLogs = [];
        this._infoLogs = [];
        this._debugLogs = [];
        this._verboseLogs = [];
    }
    debug(message) {
        this._debugLogs.push(message);
    }
    error(message) {
        this._errorLogs.push(message);
    }
    info(message) {
        this._infoLogs.push(message);
    }
    verbose(message) {
        this._verboseLogs.push(message);
    }
    warn(message) {
        this._warnLogs.push(message);
    }
    getErrorLogs() {
        return this._errorLogs;
    }
    getWarnLogs() {
        return this._warnLogs;
    }
    getInfoLogs() {
        return this._infoLogs;
    }
    getDebugLogs() {
        return this._debugLogs;
    }
    getVerboseLogs() {
        return this._verboseLogs;
    }
}
//# sourceMappingURL=InMemoryDiagLogger.js.map