"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyLogManager = void 0;
const index_js_1 = require("../NoOpLogManager/index.js");
const NOOP_LOG_MANAGER = new index_js_1.NoOpLogManager();
class ProxyLogManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_LOG_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    logException(error, handled, attributes, timestamp) {
        this.getDelegate().logException(error, handled, attributes, timestamp);
    }
    message(message, level, attributes, includeStacktrace) {
        this.getDelegate().message(message, level, attributes, includeStacktrace);
    }
}
exports.ProxyLogManager = ProxyLogManager;
//# sourceMappingURL=ProxyLogManager.js.map