"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoOpSpanSessionManager = void 0;
class NoOpSpanSessionManager {
    constructor() {
        this.getSessionId = () => null;
    }
    addBreadcrumb(_name) {
        // do nothing.
    }
    addProperty(_key, _value) {
        // do nothing.
    }
    endSessionSpan() {
        // do nothing.
    }
    endSessionSpanInternal() {
        // do nothing.
    }
    getSessionSpan() {
        return null;
    }
    getSessionStartTime() {
        return null;
    }
    startSessionSpan() {
        // do nothing.
    }
}
exports.NoOpSpanSessionManager = NoOpSpanSessionManager;
//# sourceMappingURL=NoOpSpanSessionManager.js.map