"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyTraceManager = void 0;
const index_js_1 = require("../NoOpTraceManager/index.js");
const NOOP_TRACE_MANAGER = new index_js_1.NoOpTraceManager();
class ProxyTraceManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_TRACE_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    startPerformanceSpan(name, options) {
        return this.getDelegate().startPerformanceSpan(name, options);
    }
}
exports.ProxyTraceManager = ProxyTraceManager;
//# sourceMappingURL=ProxyTraceManager.js.map