import type { User } from '../../manager/index.js';
import { type UserManager } from '../../manager/index.js';
export declare class UserAPI implements UserManager {
    private static _instance?;
    private readonly _proxyUserManager;
    private constructor();
    static getInstance(): UserAPI;
    getUserManager(): UserManager;
    setGlobalUserManager(userManager: UserManager): void;
    clearUser(): void;
    getUser(): User | null;
    setUser(user: User): void;
}
//# sourceMappingURL=UserAPI.d.ts.map