"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyUserManager = void 0;
const index_js_1 = require("../NoOpUserManager/index.js");
const NOOP_USER_MANAGER = new index_js_1.NoOpUserManager();
class ProxyUserManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_USER_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    clearUser() {
        this.getDelegate().clearUser();
    }
    getUser() {
        return this.getDelegate().getUser();
    }
    setUser(user) {
        this.getDelegate().setUser(user);
    }
}
exports.ProxyUserManager = ProxyUserManager;
//# sourceMappingURL=ProxyUserManager.js.map