"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EMB_STATES = exports.EMB_TYPES = exports.KEY_EMB_EXCEPTION_HANDLING = exports.KEY_EMB_JS_EXCEPTION_STACKTRACE = exports.KEY_EMB_SESSION_REASON_ENDED = exports.KEY_PREFIX_EMB_PROPERTIES = exports.KEY_EMB_STATE = exports.KEY_EMB_TYPE = void 0;
exports.KEY_EMB_TYPE = 'emb.type';
exports.KEY_EMB_STATE = 'emb.state';
exports.KEY_PREFIX_EMB_PROPERTIES = 'emb.properties.';
exports.KEY_EMB_SESSION_REASON_ENDED = 'emb.session_end_type';
exports.KEY_EMB_JS_EXCEPTION_STACKTRACE = 'emb.stacktrace.js';
exports.KEY_EMB_EXCEPTION_HANDLING = 'emb.exception_handling';
var EMB_TYPES;
(function (EMB_TYPES) {
    EMB_TYPES["Session"] = "ux.session";
    EMB_TYPES["Network"] = "perf.network_request";
    EMB_TYPES["Perf"] = "perf";
    EMB_TYPES["SystemLog"] = "sys.log";
    EMB_TYPES["SystemException"] = "sys.exception";
    EMB_TYPES["WebVital"] = "ux.web_vital";
})(EMB_TYPES || (exports.EMB_TYPES = EMB_TYPES = {}));
var EMB_STATES;
(function (EMB_STATES) {
    EMB_STATES["Foreground"] = "foreground";
})(EMB_STATES || (exports.EMB_STATES = EMB_STATES = {}));
//# sourceMappingURL=attributes.js.map