"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseFetchExporter = void 0;
class BaseFetchExporter {
    constructor(_delegate) {
        this._delegate = _delegate;
    }
    export(items, resultCallback) {
        this._delegate.export(items, resultCallback);
    }
    forceFlush() {
        return this._delegate.forceFlush();
    }
    shutdown() {
        return this._delegate.shutdown();
    }
}
exports.BaseFetchExporter = BaseFetchExporter;
//# sourceMappingURL=BaseFetchExporter.js.map