"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbraceLogExporter = void 0;
const index_js_1 = require("../index.js");
const OTLPFetchLogExporter_js_1 = require("./OTLPFetchLogExporter.js");
const utils_js_1 = require("./utils.js");
class EmbraceLogExporter extends OTLPFetchLogExporter_js_1.OTLPFetchLogExporter {
    constructor({ appID, userID }) {
        super(Object.assign(Object.assign({}, index_js_1.DEFAULT_EMBRACE_EXPORTER_CONFIG), { headers: (0, index_js_1.getEmbraceHeaders)(appID, userID), url: (0, utils_js_1.getLogEndpoint)(appID) }));
    }
}
exports.EmbraceLogExporter = EmbraceLogExporter;
//# sourceMappingURL=EmbraceLogExporter.js.map