"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OTLPFetchLogExporter = void 0;
const otlp_transformer_1 = require("@opentelemetry/otlp-transformer");
const index_js_1 = require("../BaseFetchExporter/index.js");
const index_js_2 = require("../index.js");
class OTLPFetchLogExporter extends index_js_1.BaseFetchExporter {
    constructor(config) {
        super((0, index_js_2.createOtlpBrowserFetchExportDelegate)(config, otlp_transformer_1.JsonLogsSerializer));
    }
}
exports.OTLPFetchLogExporter = OTLPFetchLogExporter;
//# sourceMappingURL=OTLPFetchLogExporter.js.map