"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbraceTraceExporter = void 0;
const index_js_1 = require("../index.js");
const OTLPFetchTraceExporter_js_1 = require("./OTLPFetchTraceExporter.js");
const utils_js_1 = require("./utils.js");
class EmbraceTraceExporter extends OTLPFetchTraceExporter_js_1.OTLPFetchTraceExporter {
    constructor({ appID, userID }) {
        super(Object.assign(Object.assign({}, index_js_1.DEFAULT_EMBRACE_EXPORTER_CONFIG), { headers: (0, index_js_1.getEmbraceHeaders)(appID, userID), url: (0, utils_js_1.getTraceEndpoint)(appID) }));
    }
}
exports.EmbraceTraceExporter = EmbraceTraceExporter;
//# sourceMappingURL=EmbraceTraceExporter.js.map