"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OTLPFetchTraceExporter = void 0;
const otlp_transformer_1 = require("@opentelemetry/otlp-transformer");
const index_js_1 = require("../BaseFetchExporter/index.js");
const index_js_2 = require("../index.js");
class OTLPFetchTraceExporter extends index_js_1.BaseFetchExporter {
    constructor(config) {
        super((0, index_js_2.createOtlpBrowserFetchExportDelegate)(Object.assign(Object.assign({}, config), { compression: 'gzip' }), otlp_transformer_1.JsonTraceSerializer));
    }
}
exports.OTLPFetchTraceExporter = OTLPFetchTraceExporter;
//# sourceMappingURL=OTLPFetchTraceExporter.js.map