"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FailingStorage = void 0;
class FailingStorage {
    get length() {
        return 0;
    }
    clear() {
        throw new Error('not implemented');
    }
    getItem(_key) {
        throw new Error('not implemented');
    }
    key(_index) {
        throw new Error('not implemented');
    }
    removeItem(_key) {
        throw new Error('not implemented');
    }
    setItem(_key, _value) {
        throw new Error('not implemented');
    }
}
exports.FailingStorage = FailingStorage;
//# sourceMappingURL=FailingStorage.js.map