import type { AttributeValue } from '@opentelemetry/api';
import type { LogManager, LogSeverity } from '../index.js';
export declare class ProxyLogManager implements LogManager {
    private _delegate?;
    getDelegate(): LogManager;
    setDelegate(delegate: LogManager): void;
    logException(error: Error, handled: boolean, attributes?: Record<string, AttributeValue | undefined>, timestamp?: number): void;
    message(message: string, level: LogSeverity, attributes?: Record<string, AttributeValue | undefined>, includeStacktrace?: boolean): void;
}
//# sourceMappingURL=ProxyLogManager.d.ts.map