var NoOpSpanSessionManager = /** @class */ (function () {
    function NoOpSpanSessionManager() {
        this.getSessionId = function () { return null; };
    }
    NoOpSpanSessionManager.prototype.addBreadcrumb = function (_name) {
        // do nothing.
    };
    NoOpSpanSessionManager.prototype.addProperty = function (_key, _value) {
        // do nothing.
    };
    NoOpSpanSessionManager.prototype.endSessionSpan = function () {
        // do nothing.
    };
    NoOpSpanSessionManager.prototype.endSessionSpanInternal = function () {
        // do nothing.
    };
    NoOpSpanSessionManager.prototype.getSessionSpan = function () {
        return null;
    };
    NoOpSpanSessionManager.prototype.getSessionStartTime = function () {
        return null;
    };
    NoOpSpanSessionManager.prototype.startSessionSpan = function () {
        // do nothing.
    };
    return NoOpSpanSessionManager;
}());
export { NoOpSpanSessionManager };
//# sourceMappingURL=NoOpSpanSessionManager.js.map