import type { HrTime } from '@opentelemetry/api';
import type { ReasonSessionEnded, SpanSessionManager } from '../index.js';
export declare class ProxySpanSessionManager implements SpanSessionManager {
    private _delegate?;
    getDelegate(): SpanSessionManager;
    setDelegate(delegate: SpanSessionManager): void;
    addBreadcrumb(name: string): void;
    addProperty(key: string, value: string): void;
    endSessionSpan(): void;
    endSessionSpanInternal(reason: ReasonSessionEnded): void;
    getSessionId(): string | null;
    getSessionSpan(): import("@opentelemetry/api").Span | null;
    getSessionStartTime(): HrTime | null;
    startSessionSpan(): void;
}
//# sourceMappingURL=ProxySpanSessionManager.d.ts.map