import { NoOpSpanSessionManager } from '../NoOpSpanSessionManager/index.js';
var NOOP_SPAN_SESSION_MANAGER = new NoOpSpanSessionManager();
var ProxySpanSessionManager = /** @class */ (function () {
    function ProxySpanSessionManager() {
    }
    ProxySpanSessionManager.prototype.getDelegate = function () {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_SPAN_SESSION_MANAGER;
    };
    ProxySpanSessionManager.prototype.setDelegate = function (delegate) {
        this._delegate = delegate;
    };
    ProxySpanSessionManager.prototype.addBreadcrumb = function (name) {
        this.getDelegate().addBreadcrumb(name);
    };
    ProxySpanSessionManager.prototype.addProperty = function (key, value) {
        this.getDelegate().addProperty(key, value);
    };
    ProxySpanSessionManager.prototype.endSessionSpan = function () {
        this.getDelegate().endSessionSpan();
    };
    ProxySpanSessionManager.prototype.endSessionSpanInternal = function (reason) {
        this.getDelegate().endSessionSpanInternal(reason);
    };
    ProxySpanSessionManager.prototype.getSessionId = function () {
        return this.getDelegate().getSessionId();
    };
    ProxySpanSessionManager.prototype.getSessionSpan = function () {
        return this.getDelegate().getSessionSpan();
    };
    ProxySpanSessionManager.prototype.getSessionStartTime = function () {
        return this.getDelegate().getSessionStartTime();
    };
    ProxySpanSessionManager.prototype.startSessionSpan = function () {
        this.getDelegate().startSessionSpan();
    };
    return ProxySpanSessionManager;
}());
export { ProxySpanSessionManager };
//# sourceMappingURL=ProxySpanSessionManager.js.map