import type { HrTime, Span } from '@opentelemetry/api';
export interface SpanSessionManager {
    getSessionId: () => string | null;
    getSessionStartTime: () => HrTime | null;
    getSessionSpan: () => Span | null;
    startSessionSpan: () => void;
    endSessionSpan: () => void;
    addBreadcrumb: (name: string) => void;
    addProperty: (key: string, value: string) => void;
    endSessionSpanInternal: (reason: ReasonSessionEnded) => void;
}
export type ReasonSessionEnded = 'unknown' | 'inactivity' | 'timer' | 'manual' | 'max_size_reached' | 'bkgnd_state';
//# sourceMappingURL=types.d.ts.map