import { NoOpTraceManager } from '../NoOpTraceManager/index.js';
var NOOP_TRACE_MANAGER = new NoOpTraceManager();
var ProxyTraceManager = /** @class */ (function () {
    function ProxyTraceManager() {
    }
    ProxyTraceManager.prototype.getDelegate = function () {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_TRACE_MANAGER;
    };
    ProxyTraceManager.prototype.setDelegate = function (delegate) {
        this._delegate = delegate;
    };
    ProxyTraceManager.prototype.startPerformanceSpan = function (name, options) {
        return this.getDelegate().startPerformanceSpan(name, options);
    };
    return ProxyTraceManager;
}());
export { ProxyTraceManager };
//# sourceMappingURL=ProxyTraceManager.js.map