import { NoOpUserManager } from '../NoOpUserManager/index.js';
var NOOP_USER_MANAGER = new NoOpUserManager();
var ProxyUserManager = /** @class */ (function () {
    function ProxyUserManager() {
    }
    ProxyUserManager.prototype.getDelegate = function () {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_USER_MANAGER;
    };
    ProxyUserManager.prototype.setDelegate = function (delegate) {
        this._delegate = delegate;
    };
    ProxyUserManager.prototype.clearUser = function () {
        this.getDelegate().clearUser();
    };
    ProxyUserManager.prototype.getUser = function () {
        return this.getDelegate().getUser();
    };
    ProxyUserManager.prototype.setUser = function (user) {
        this.getDelegate().setUser(user);
    };
    return ProxyUserManager;
}());
export { ProxyUserManager };
//# sourceMappingURL=ProxyUserManager.js.map