var BaseFetchExporter = /** @class */ (function () {
    function BaseFetchExporter(_delegate) {
        this._delegate = _delegate;
    }
    BaseFetchExporter.prototype.export = function (items, resultCallback) {
        this._delegate.export(items, resultCallback);
    };
    BaseFetchExporter.prototype.forceFlush = function () {
        return this._delegate.forceFlush();
    };
    BaseFetchExporter.prototype.shutdown = function () {
        return this._delegate.shutdown();
    };
    return BaseFetchExporter;
}());
export { BaseFetchExporter };
//# sourceMappingURL=BaseFetchExporter.js.map