var MAX_INNER_TEXT = 30;
export var getHTMLElementFriendlyName = function (element) {
    var nodeName = element.nodeName.toLowerCase();
    var innerText = element.innerText.substring(0, MAX_INNER_TEXT);
    var ellipsis = element.innerText.length > MAX_INNER_TEXT ? '...' : '';
    var className = element.className ? " class=\"".concat(element.className, "\"") : '';
    return "<".concat(nodeName).concat(className, ">").concat(innerText).concat(ellipsis, "</").concat(nodeName, ">");
};
//# sourceMappingURL=utils.js.map