var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmbraceInstrumentationBase } from '../../EmbraceInstrumentationBase/index.js';
var SpanSessionOnLoadInstrumentation = /** @class */ (function (_super) {
    __extends(SpanSessionOnLoadInstrumentation, _super);
    function SpanSessionOnLoadInstrumentation(_a) {
        var _b = _a === void 0 ? {} : _a, diag = _b.diag;
        var _this = _super.call(this, {
            instrumentationName: 'SpanSessionOnLoadInstrumentation',
            instrumentationVersion: '1.0.0',
            diag: diag,
            config: {},
        }) || this;
        if (_this._config.enabled) {
            _this.enable();
        }
        return _this;
    }
    SpanSessionOnLoadInstrumentation.prototype.disable = function () {
        this.sessionManager.endSessionSpanInternal('unknown');
    };
    SpanSessionOnLoadInstrumentation.prototype.enable = function () {
        this.sessionManager.startSessionSpan();
    };
    return SpanSessionOnLoadInstrumentation;
}(EmbraceInstrumentationBase));
export { SpanSessionOnLoadInstrumentation };
//# sourceMappingURL=SpanSessionOnLoadInstrumentation.js.map