import { type AttributeValue } from '@opentelemetry/api';
import type { LogManager, LogSeverity } from '../../api-logs/index.js';
import type { EmbraceLogManagerArgs } from './types.js';
export declare class EmbraceLogManager implements LogManager {
    private readonly _perf;
    private readonly _logger;
    constructor({ perf }?: EmbraceLogManagerArgs);
    private static _logSeverityToSeverityNumber;
    logException(error: Error, handled: boolean, attributes?: Record<string, AttributeValue | undefined>, timestamp?: number): void;
    message(message: string, severity: LogSeverity, attributes?: Record<string, AttributeValue | undefined>, includeStacktrace?: boolean): void;
    private _logMessage;
}
//# sourceMappingURL=EmbraceLogManager.d.ts.map