import { EMB_TYPES, KEY_EMB_TYPE } from '../../constants/index.js';
var EmbTypeLogRecordProcessor = /** @class */ (function () {
    function EmbTypeLogRecordProcessor() {
    }
    // no-op
    EmbTypeLogRecordProcessor.prototype.forceFlush = function () {
        return Promise.resolve(undefined);
    };
    EmbTypeLogRecordProcessor.prototype.onEmit = function (logRecord) {
        if (!logRecord.attributes[KEY_EMB_TYPE]) {
            logRecord.setAttribute(KEY_EMB_TYPE, EMB_TYPES.SystemLog);
        }
    };
    // no-op
    EmbTypeLogRecordProcessor.prototype.shutdown = function () {
        return Promise.resolve(undefined);
    };
    return EmbTypeLogRecordProcessor;
}());
export { EmbTypeLogRecordProcessor };
//# sourceMappingURL=EmbTypeLogRecordProcessor.js.map