import { diag } from '@opentelemetry/api';
var EmbraceProcessor = /** @class */ (function () {
    function EmbraceProcessor(_a) {
        var providedDiag = _a.diag, processorName = _a.processorName;
        this._processorName = processorName;
        this._diag =
            providedDiag !== null && providedDiag !== void 0 ? providedDiag : diag.createComponentLogger({
                namespace: processorName,
            });
    }
    Object.defineProperty(EmbraceProcessor.prototype, "diag", {
        /* Returns the diag logger */
        get: function () {
            return this._diag;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(EmbraceProcessor.prototype, "processorName", {
        /* Returns the processor name */
        get: function () {
            return this._processorName;
        },
        enumerable: false,
        configurable: true
    });
    return EmbraceProcessor;
}());
export { EmbraceProcessor };
//# sourceMappingURL=EmbraceProcessor.js.map