var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EmbraceInstrumentationBase } from '../../instrumentations/index.js';
var FakeInstrumentation = /** @class */ (function (_super) {
    __extends(FakeInstrumentation, _super);
    function FakeInstrumentation() {
        var _this = _super.call(this, {
            instrumentationName: 'FakeInstrumentation',
            instrumentationVersion: '1.0.0',
            config: {},
        }) || this;
        _this._enabled = false;
        if (_this._config.enabled) {
            _this.enable();
        }
        return _this;
    }
    FakeInstrumentation.prototype.disable = function () {
        this._enabled = false;
    };
    FakeInstrumentation.prototype.enable = function () {
        this._enabled = true;
    };
    FakeInstrumentation.prototype.emit = function () {
        if (this._enabled) {
            this.logger.emit({
                body: 'my log',
            });
            this.tracer.startSpan('my span').end();
        }
    };
    return FakeInstrumentation;
}(EmbraceInstrumentationBase));
export { FakeInstrumentation };
//# sourceMappingURL=FakeInstrumentation.js.map