var FakeLogRecordProcessor = /** @class */ (function () {
    function FakeLogRecordProcessor() {
    }
    FakeLogRecordProcessor.prototype.forceFlush = function () {
        return Promise.resolve(undefined);
    };
    FakeLogRecordProcessor.prototype.onEmit = function (logRecord) {
        logRecord.setAttributes({
            fake: 'my-attr',
        });
    };
    FakeLogRecordProcessor.prototype.shutdown = function () {
        return Promise.resolve(undefined);
    };
    return FakeLogRecordProcessor;
}());
export { FakeLogRecordProcessor };
//# sourceMappingURL=FakeLogRecordProcessor.js.map