// TODO this helper could be contributed back to the OpenTelemetry community
var InMemoryDiagLogger = /** @class */ (function () {
    function InMemoryDiagLogger() {
        this._errorLogs = [];
        this._warnLogs = [];
        this._infoLogs = [];
        this._debugLogs = [];
        this._verboseLogs = [];
    }
    InMemoryDiagLogger.prototype.debug = function (message) {
        this._debugLogs.push(message);
    };
    InMemoryDiagLogger.prototype.error = function (message) {
        this._errorLogs.push(message);
    };
    InMemoryDiagLogger.prototype.info = function (message) {
        this._infoLogs.push(message);
    };
    InMemoryDiagLogger.prototype.verbose = function (message) {
        this._verboseLogs.push(message);
    };
    InMemoryDiagLogger.prototype.warn = function (message) {
        this._warnLogs.push(message);
    };
    InMemoryDiagLogger.prototype.getErrorLogs = function () {
        return this._errorLogs;
    };
    InMemoryDiagLogger.prototype.getWarnLogs = function () {
        return this._warnLogs;
    };
    InMemoryDiagLogger.prototype.getInfoLogs = function () {
        return this._infoLogs;
    };
    InMemoryDiagLogger.prototype.getDebugLogs = function () {
        return this._debugLogs;
    };
    InMemoryDiagLogger.prototype.getVerboseLogs = function () {
        return this._verboseLogs;
    };
    return InMemoryDiagLogger;
}());
export { InMemoryDiagLogger };
//# sourceMappingURL=InMemoryDiagLogger.js.map