import * as sinon from 'sinon';
export var setupTestWebVitalListeners = function () {
    var clsStub = sinon.stub();
    var fcpStub = sinon.stub();
    var lcpStub = sinon.stub();
    var inpStub = sinon.stub();
    var ttfbStub = sinon.stub();
    return {
        clsStub: clsStub,
        fcpStub: fcpStub,
        lcpStub: lcpStub,
        inpStub: inpStub,
        ttfbStub: ttfbStub,
        listeners: {
            CLS: clsStub,
            FCP: fcpStub,
            LCP: lcpStub,
            INP: inpStub,
            TTFB: ttfbStub,
            FID: undefined,
        },
    };
};
//# sourceMappingURL=setupTestWebVitalListeners.js.map