export class NoOpSpanSessionManager {
    constructor() {
        this.getSessionId = () => null;
    }
    addBreadcrumb(_name) {
        // do nothing.
    }
    addProperty(_key, _value) {
        // do nothing.
    }
    endSessionSpan() {
        // do nothing.
    }
    endSessionSpanInternal() {
        // do nothing.
    }
    getSessionSpan() {
        return null;
    }
    getSessionStartTime() {
        return null;
    }
    startSessionSpan() {
        // do nothing.
    }
}
//# sourceMappingURL=NoOpSpanSessionManager.js.map