import { NoOpTraceManager } from '../NoOpTraceManager/index.js';
const NOOP_TRACE_MANAGER = new NoOpTraceManager();
export class ProxyTraceManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_TRACE_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    startPerformanceSpan(name, options) {
        return this.getDelegate().startPerformanceSpan(name, options);
    }
}
//# sourceMappingURL=ProxyTraceManager.js.map