import { DEFAULT_EMBRACE_EXPORTER_CONFIG, getEmbraceHeaders, } from '../index.js';
import { OTLPFetchTraceExporter } from './OTLPFetchTraceExporter.js';
import { getTraceEndpoint } from './utils.js';
export class EmbraceTraceExporter extends OTLPFetchTraceExporter {
    constructor({ appID, userID }) {
        super(Object.assign(Object.assign({}, DEFAULT_EMBRACE_EXPORTER_CONFIG), { headers: getEmbraceHeaders(appID, userID), url: getTraceEndpoint(appID) }));
    }
}
//# sourceMappingURL=EmbraceTraceExporter.js.map