import { type HrTime, type Span } from '@opentelemetry/api';
import type { ReasonSessionEnded, SpanSessionManager } from '../../api-sessions/index.js';
import type { EmbraceSpanSessionManagerArgs } from './types.js';
export declare class EmbraceSpanSessionManager implements SpanSessionManager {
    private _activeSessionId;
    private _activeSessionStartTime;
    private _sessionSpan;
    private readonly _diag;
    private readonly _perf;
    constructor({ diag: diagParam, perf, }?: EmbraceSpanSessionManagerArgs);
    addBreadcrumb(name: string): void;
    addProperty(key: string, value: string): void;
    endSessionSpan(): void;
    endSessionSpanInternal(reason: ReasonSessionEnded): void;
    getSessionId(): string | null;
    getSessionSpan(): Span | null;
    getSessionStartTime(): HrTime | null;
    startSessionSpan(): void;
}
//# sourceMappingURL=EmbraceSpanSessionManager.d.ts.map