import { trace } from '@opentelemetry/api';
import { EMB_TYPES, KEY_EMB_TYPE } from '../../constants/index.js';
export class EmbraceTraceManager {
    startPerformanceSpan(name, options = {}) {
        const tracer = trace.getTracer('embrace-web-sdk-traces');
        options.attributes = options.attributes ? options.attributes : {};
        options.attributes[KEY_EMB_TYPE] = EMB_TYPES.Perf;
        return tracer.startSpan(name, options);
    }
}
//# sourceMappingURL=EmbraceTraceManager.js.map