import { EMB_TYPES, KEY_EMB_TYPE } from '../../constants/index.js';
export class EmbTypeLogRecordProcessor {
    // no-op
    forceFlush() {
        return Promise.resolve(undefined);
    }
    onEmit(logRecord) {
        if (!logRecord.attributes[KEY_EMB_TYPE]) {
            logRecord.setAttribute(KEY_EMB_TYPE, EMB_TYPES.SystemLog);
        }
    }
    // no-op
    shutdown() {
        return Promise.resolve(undefined);
    }
}
//# sourceMappingURL=EmbTypeLogRecordProcessor.js.map