import type { AttributeValue } from '@opentelemetry/api';
import type { LogSeverity } from '../../manager/index.js';
import { type LogManager } from '../../manager/index.js';
export declare class LogAPI implements LogManager {
    private static _instance?;
    private readonly _proxyLogManager;
    private constructor();
    static getInstance(): LogAPI;
    getLogManager: () => LogManager;
    setGlobalLogManager(logManager: LogManager): void;
    logException(error: Error, handled: boolean, attributes?: Record<string, AttributeValue | undefined>, timestamp?: number): void;
    message(message: string, level: LogSeverity, attributes?: Record<string, AttributeValue | undefined>, includeStacktrace?: boolean): void;
}
//# sourceMappingURL=LogAPI.d.ts.map