"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxySpanSessionManager = void 0;
const index_js_1 = require("../NoOpSpanSessionManager/index.js");
const NOOP_SPAN_SESSION_MANAGER = new index_js_1.NoOpSpanSessionManager();
class ProxySpanSessionManager {
    getDelegate() {
        var _a;
        return (_a = this._delegate) !== null && _a !== void 0 ? _a : NOOP_SPAN_SESSION_MANAGER;
    }
    setDelegate(delegate) {
        this._delegate = delegate;
    }
    addBreadcrumb(name) {
        this.getDelegate().addBreadcrumb(name);
    }
    addProperty(key, value) {
        this.getDelegate().addProperty(key, value);
    }
    endSessionSpan() {
        this.getDelegate().endSessionSpan();
    }
    endSessionSpanInternal(reason) {
        this.getDelegate().endSessionSpanInternal(reason);
    }
    getSessionId() {
        return this.getDelegate().getSessionId();
    }
    getSessionSpan() {
        return this.getDelegate().getSessionSpan();
    }
    getSessionStartTime() {
        return this.getDelegate().getSessionStartTime();
    }
    startSessionSpan() {
        this.getDelegate().startSessionSpan();
    }
}
exports.ProxySpanSessionManager = ProxySpanSessionManager;
//# sourceMappingURL=ProxySpanSessionManager.js.map