"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpanSessionOnLoadInstrumentation = void 0;
const index_js_1 = require("../../EmbraceInstrumentationBase/index.js");
class SpanSessionOnLoadInstrumentation extends index_js_1.EmbraceInstrumentationBase {
    constructor({ diag } = {}) {
        super({
            instrumentationName: 'SpanSessionOnLoadInstrumentation',
            instrumentationVersion: '1.0.0',
            diag,
            config: {},
        });
        if (this._config.enabled) {
            this.enable();
        }
    }
    disable() {
        this.sessionManager.endSessionSpanInternal('unknown');
    }
    enable() {
        this.sessionManager.startSessionSpan();
    }
}
exports.SpanSessionOnLoadInstrumentation = SpanSessionOnLoadInstrumentation;
//# sourceMappingURL=SpanSessionOnLoadInstrumentation.js.map