"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbraceTraceManager = void 0;
const api_1 = require("@opentelemetry/api");
const index_js_1 = require("../../constants/index.js");
class EmbraceTraceManager {
    startPerformanceSpan(name, options = {}) {
        const tracer = api_1.trace.getTracer('embrace-web-sdk-traces');
        options.attributes = options.attributes ? options.attributes : {};
        options.attributes[index_js_1.KEY_EMB_TYPE] = index_js_1.EMB_TYPES.Perf;
        return tracer.startSpan(name, options);
    }
}
exports.EmbraceTraceManager = EmbraceTraceManager;
//# sourceMappingURL=EmbraceTraceManager.js.map