"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbTypeLogRecordProcessor = void 0;
const index_js_1 = require("../../constants/index.js");
class EmbTypeLogRecordProcessor {
    // no-op
    forceFlush() {
        return Promise.resolve(undefined);
    }
    onEmit(logRecord) {
        if (!logRecord.attributes[index_js_1.KEY_EMB_TYPE]) {
            logRecord.setAttribute(index_js_1.KEY_EMB_TYPE, index_js_1.EMB_TYPES.SystemLog);
        }
    }
    // no-op
    shutdown() {
        return Promise.resolve(undefined);
    }
}
exports.EmbTypeLogRecordProcessor = EmbTypeLogRecordProcessor;
//# sourceMappingURL=EmbTypeLogRecordProcessor.js.map