import type { ReadableSpan } from '@opentelemetry/sdk-trace-web';
import { EmbraceProcessor } from '../EmbraceProcessor/index.js';
import type { EmbraceSessionBatchedSpanProcessorArgs } from './types.js';
export declare class EmbraceSessionBatchedSpanProcessor extends EmbraceProcessor {
    private readonly _shutdownOnce;
    private _pendingSpans;
    private readonly _exporter;
    constructor({ exporter, ...parentArgs }: EmbraceSessionBatchedSpanProcessorArgs);
    forceFlush(): Promise<void>;
    onEnd(span: ReadableSpan): void;
    onStart(): void;
    shutdown(): Promise<void>;
    private readonly _shutdown;
}
//# sourceMappingURL=EmbraceSessionBatchedSpanProcessor.d.ts.map