"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FakeLogRecordProcessor = void 0;
class FakeLogRecordProcessor {
    forceFlush() {
        return Promise.resolve(undefined);
    }
    onEmit(logRecord) {
        logRecord.setAttributes({
            fake: 'my-attr',
        });
    }
    shutdown() {
        return Promise.resolve(undefined);
    }
}
exports.FakeLogRecordProcessor = FakeLogRecordProcessor;
//# sourceMappingURL=FakeLogRecordProcessor.js.map