"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockSessionSpan = exports.mockSpan = void 0;
const index_js_1 = require("../../constants/index.js");
const IResource_js_1 = require("./IResource.js");
exports.mockSpan = {
    name: 'mock span',
    kind: 1,
    spanContext: () => ({
        traceId: '1',
        spanId: '2',
        traceFlags: 1,
    }),
    startTime: [0, 0],
    endTime: [0, 0],
    status: { code: 1 },
    attributes: {},
    links: [],
    events: [],
    duration: [0, 0],
    ended: true,
    resource: IResource_js_1.mockIResource,
    instrumentationLibrary: { name: 'test', version: '1' },
    droppedAttributesCount: 0,
    droppedEventsCount: 0,
    droppedLinksCount: 0,
};
exports.mockSessionSpan = Object.assign(Object.assign({}, exports.mockSpan), { name: 'mock session span', attributes: {
        [index_js_1.KEY_EMB_TYPE]: index_js_1.EMB_TYPES.Session,
    } });
//# sourceMappingURL=ReadableSpan.js.map